## org.exist.xupdate
Class Remove

    java.lang.Object
      org.exist.xupdate.Modification
          org.exist.xupdate.Remove

public class Remove
extends Modification

Implements an XUpdate remove operation.

Author:
  Wolfgang Meier

Constructor Summary
`Remove(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.util.Map namespaces, java.util.Map variables)` Constructor for Remove.

Method Summary
`java.lang.String` `getName()`
`long` `process(Txn transaction)` Process the modification.

Methods inherited from class org.exist.xupdate.Modification
`getAccessContext, setAccessContext, setContent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Remove

    public Remove(DBBroker broker,
                  DocumentSet docs,
                  java.lang.String selectStmt,
                  java.util.Map namespaces,
                  java.util.Map variables)

  Constructor for Remove.

Parameters:
  `broker` -
  `docs` -
  `namespaces` -
  `variables` -
  `selectStmt` -

Method Detail

### process

    public long process(Txn transaction)
                 throws PermissionDeniedException,
                        LockException,
                        EXistException,
                        XPathException

  Description copied from class: `Modification`
  Process the modification. This is the main method that has to be implemented by all subclasses.

  Specified by:
    `process` in class `Modification`
  Parameters:
    `transaction` -
  Throws:
    `EXistException`
    `XPathException`
    `LockException`
    `PermissionDeniedException`
  See Also:
    `Modification.process(org.exist.storage.txn.Txn)`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `Modification`
  See Also:
    `Modification.getName()`

Copyright (C) Wolfgang Meier. All rights reserved.